Skip to content
Start here

Get a webhook

client.alerting.destinations.webhooks.get(stringwebhookId, WebhookGetParams { account_id } params, RequestOptionsoptions?): Webhooks { id, created_at, last_failure, 5 more }
GET/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}

Get details for a single webhooks destination.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: PII ReadNotifications WriteNotifications ReadAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
webhookId: string

The unique identifier of a webhook

maxLength32
params: WebhookGetParams { account_id }
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
Webhooks { id, created_at, last_failure, 5 more }
id?: string

The unique identifier of a webhook

maxLength32
created_at?: string

Timestamp of when the webhook destination was created.

formatdate-time
last_failure?: string

Timestamp of the last time an attempt to dispatch a notification to this webhook failed.

formatdate-time
last_success?: string

Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.

formatdate-time
name?: string

The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

secret?: string

Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

type?: "datadog" | "discord" | "feishu" | 5 more

Type of webhook endpoint.

One of the following:
"datadog"
"discord"
"feishu"
"gchat"
"generic"
"opsgenie"
"slack"
"splunk"
url?: string

The POST endpoint to call when dispatching a notification.

Get a webhook

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const webhooks = await client.alerting.destinations.webhooks.get(
  'b115d5ec15c641ee8b7692c449b5227b',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(webhooks.id);
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "b115d5ec15c641ee8b7692c449b5227b",
    "created_at": "2020-10-26T18:25:04.532316Z",
    "last_failure": "2020-10-26T18:25:04.532316Z",
    "last_success": "2020-10-26T18:25:04.532316Z",
    "name": "Slack Webhook",
    "type": "slack",
    "url": "https://hooks.slack.com/services/Ds3fdBFbV/456464Gdd"
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "b115d5ec15c641ee8b7692c449b5227b",
    "created_at": "2020-10-26T18:25:04.532316Z",
    "last_failure": "2020-10-26T18:25:04.532316Z",
    "last_success": "2020-10-26T18:25:04.532316Z",
    "name": "Slack Webhook",
    "type": "slack",
    "url": "https://hooks.slack.com/services/Ds3fdBFbV/456464Gdd"
  }
}